- After an event is active and a member has joined it, use this API to cancel that member’s free spins for the event.
- Once frozen, no further event rewards are paid out (rewards already received are not reclaimed).
Path
Headers
| Field | Type | Required | Description |
|---|---|---|---|
Authorization | string | Yes | Token we provide |
Content-Type | string | Yes | multipart/form-data |
Request parameters
| Field | Type | Required | Signed | Description |
|---|---|---|---|---|
eventID | string | Yes | ✓ | Event ID (allowed characters: a-z A-Z 0-9 _) |
channelID | number | Yes | ✓ | Channel ID (use 1 if you have no channels) |
account | string | Yes | ✓ | Member account (allowed characters: a-z A-Z 0-9 _-) |
note | string | Yes | ✓ | Note |
sign | string | Yes | Signature. See Signature for how to generate it |
Response
Success (the HTTP status code is always 200; checkstatus.code for the result)
| Field | Type | Description |
|---|---|---|
data | object | |
data.eventID | string | Event ID |
data.channelID | number | Channel ID |
data.memberAccount | string | Member account |
data.status | string | Event status (Inactive: not used, Used: used, Completed: completed, Frozen: frozen) |
data.eventName | string | Event name |
data.totalSpinTimes | number | Total sessions of the event |
data.usedSpinTimes | number | Sessions used |
data.currency | string | Currency |
data.totalWin | number | Total winnings of the event |
data.createdTime | string | Creation time (see Time format) |
data.startTime | string | Event start time (see Time format) |
data.endTime | string | Event end time (see Time format) |
status | object | Response status. See Response format |
